//
//  SUAppcastItem.h
//  Sparkle
//
//  Created by Andy Matuschak on 3/12/06.
//  Copyright 2006 Andy Matuschak. All rights reserved.
//

#ifndef SUAPPCASTITEM_H
#define SUAPPCASTITEM_H

@interface SUAppcastItem : NSObject {
	NSString *title;
	NSDate *date;
	NSString *itemDescription;
	
	NSURL *releaseNotesURL;
	
	NSString *DSASignature;	
	NSString *minimumSystemVersion;
	
	NSURL *fileURL;
	NSString *versionString;
	NSString *displayVersionString;
	
	NSDictionary *propertiesDictionary;
}

// Initializes with data from a dictionary provided by the RSS class.
- (instancetype) initWithDictionary:(NSDictionary *)dict;

@property (nonatomic, readonly, copy) NSString *title;
@property (nonatomic, readonly, copy) NSString *versionString;
@property (nonatomic, readonly, copy) NSString *displayVersionString;
@property (nonatomic, readonly, copy) NSDate *date;
@property (nonatomic, readonly, copy) NSString *itemDescription;
@property (nonatomic, readonly, copy) NSURL *releaseNotesURL;
@property (nonatomic, readonly, copy) NSURL *fileURL;
@property (nonatomic, readonly, copy) NSString *DSASignature;
@property (nonatomic, readonly, copy) NSString *minimumSystemVersion;

// Returns the dictionary provided in initWithDictionary; this might be useful later for extensions.
@property (nonatomic, readonly, copy) NSDictionary *propertiesDictionary;

@end

#endif
